Subject: Re: [bug#50282] [PATCH 0/5] gnu: offlineimap: Replace with offlineimap3.

From: Pierre Langlois <[email-masked]>
Date: Thu, 02 Sep 2021 20:48:23 +0100

Hi simon,

zimoun <[email-masked]> writes:

> Hi Pierre,
>
> On Mon, 30 Aug 2021 at 19:57, Pierre Langlois <[email-masked]> wrote:
>
>> While looking for a non-python2 alternative, I found that there was an
>> official python3 port in the works! https://github.com/OfflineIMAP/offlineimap3
>
> Cool!  It would improve the situation as reported here [1]. :-)
>
> 1: <http://issues.guix.gnu.org/issue/48213>
>
>>   gnu: Add python-imaplib2.
>
> LGTM.
>
>>   gnu: offlineimap: Replace with offlineimap3.
>
> LGTM.  Is it possible to disable only the tests which require a
> modifiable IMAP account?  Although it was not in the initial
> ’offlineimap’. :-)

Yeah, I'm afraid all the tests that I can see require an IMAP account
:-/. I wonder if one day we could have marionnette-style tests in the
packages so you could run services, that would be cool.

>
>>   gnu: Remove python2-rfc6555.
>
> LGTM.
>
>>   gnu: Remove python2-selectors2.
>
> LGTM.  Except the message should be ’Remove variable’, I guess.
>

Done.

>>   gnu: Remove python2-pysqlite.
>
> This would break the package ’geierlein’ as reported by:
>
>   guix refresh -l python2-pysqlite
>
> And grepping the sources, this package is a native-inputs of ’icecat’.
>
> Well, I would drop this last patch.

Oh... how I did I miss that? I was sure I had at least grepped the
sources, thanks for catching that!

Pushed with d8d124fb6521abafd8f6a1772717a0278d6d899b, thanks for the
review!

Pierre